<?php
require "racs.php";
require "vtshowsBBB.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");}
?>

<html>
<title>RPM-Regional Achivements</title>

<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="vtxstyles.css">

<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}

}
</script>
</head>
<body style='font-family:calibri;font-size:small;'>
<div style='width=30%;height:100%%;'>
<?php
$flt=racs(1);
if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\Contact Sales and Marketing division</div>");
}
else{
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_diana");

if(isset($_REQUEST['starts'])){
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['chanell'])){
$chanell=$_REQUEST['chanell'];}
else{
$chanell='all';}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($_REQUEST['subregions'])){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['executives'])){
$executives=$_REQUEST['executives'];}
else{
$executives='all';}

#$flt=racs(1);

if(strtolower($chanell)!='all'){
$flt=$flt." and chanell='".$chanell."' ";}
if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}
if(strtolower($executives)!='all'){
$flt=$flt." and executive_names='".$executives."' ";}


stps(1);
printf("<div class='sds'>");
newcost(1);
printf("</div>");


printf("<div class='mnf'>");

printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>ASM-ASE - PERFORMANCE COST-SUMMARY</div>");


$tv=0;
$tz=0;
$arr=array();

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

$sqlst="select rgs from (select distinct zone_orders as rds,zones as rgs from rc_invoices union select distinct zone_orders,zones from rc_targets order by rds) as sbs";
$qry=mysqli_query($conn,$sqlst);

printf("<div style='width:80%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");

printf("<form method='post' action='rpmteamcost.php?actp=rpt%s'><table style='width:100%%;font-size:13;'>",$sprt);
printf("<tr><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td>
<td width=20%%><select name='zones' style='width:95%%;font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'><option>%s</option><option>All</option>",$starts,$ends,$zones);
while($rst=mysql_fetch_row($qry)){
printf("<option>%s</option>",$rst[0]);}	
printf("</select></td><td><input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></td></form>",$starts,$ends);

printf("<td width=38%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");

printf("<table id='dt' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'>
<td style='border:1px solid white;text-align:left;'>Employee</td>
<td style='border:1px solid white;'>Actual Sales</td>
<td style='border:1px solid white;'>Product-Cost</td>
<td style='border:1px solid white;text-align:center;'>Cost</td>
<td>Variance</td>
<td style='border:1px solid white;'>Delivers</td>
<td style='border:1px solid white;'>Product-Cost</td>
<td style='border:1px solid white;text-align:center;'>Cost</td>
<td style='border:1px solid white;'>Variance</td>
<td style='background:silver;border:1px solid white;' align='center'>Agents</td>
<td style='background:silver;border:1px solid white;' align='center'>Items</td></tr>");

$sqlst="select mzones,tgvl,acvl,tgwt,acwt from (select distinct rgs as mzones from (select distinct zone_orders as rds,executive_names as rgs from rc_invoices ".$flt.
" and dates>='".$starts."' and dates<='".$ends."' union select distinct zone_orders,executive_names from rc_orders ".$flt."  and dates>='".$starts."' and dates<='".$ends."' order by rds) as zns) as ags left join 
(select executive_names,sum(box_qty*box_price) as tgvl,sum(box_qty*margin_rates) as acvl from rc_invoices ".$flt." and 
dates>='".$starts."' and dates<='".$ends."' group by executive_names) as tgs on tgs.executive_names=mzones left join (select executive_names,sum(box_qty*box_price) as tgwt,
sum(box_qty*margin_rates) as acwt from rc_delivers ".$flt." and dates>='".$starts."' and dates<='".$ends."' group by executive_names) 
as acs on acs.executive_names=mzones ";
 
 
$tgv=0;
$acv=0;
$tgw=0;
$acw=0;

 
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$tgv=$tgv+$rst[1];
$acv=$acv+$rst[2];
$tgw=$tgw+$rst[3];
$acw=$acw+$rst[4];

if($rst[1]==0){
$pcs=100;}
else{
$pcs=$rst[2]*100/$rst[1];}
	
if($rst[3]==0){
$wpcs=100;}
else{
$wpcs=$rst[4]*100/$rst[3];}

printf("<tr style='border-bottom:1px solid silver;'><td>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td><td align='center'><a href='rpmagentcost.php?starts=%s&ends=%s&executives=%s' target='_blank'>Agents</a></td><td align='center'><a href='rpmitemcost.php?starts=%s&ends=%s&executives=%s' target='_blank'>Items</a></td></tr>",
$rst[0],number_format($rst[1],0,'.',','),number_format($rst[2],0,'.',','),
number_format($pcs,0,'.',','),number_format($rst[2]-$rst[1],0,'.',','),number_format($rst[3],0,'.',','),number_format($rst[4],0,'.',','),
number_format($wpcs,0,'.',','),number_format($rst[4]-$rst[3],0,'.',','),$starts,$ends,$rst[0],$starts,$ends,$rst[0]);
}


if($tgv==0){
$pcs=100;}
else{
$pcs=$acv*100/$tgv;}
	
if($tgw==0){
$wpcs=100;}
else{
$wpcs=$acw*100/$tgw;}

printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'><td>Total</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td>
</tr></table>",number_format($tgv,0,'.',','),number_format($acv,0,'.',','),
number_format($pcs,0,'.',','),number_format($tgv-$acv,0,'.',','),number_format($tgw,0,'.',','),number_format($acw,0,'.',','),
number_format($wpcs,0,'.',','),number_format($tgw-$acw,0,'.',','));


printf("</div>");

}

?>

</div>
</body>
</html>